osgUtil::Optimizer::TextureAtlasBuilder::Source Class Reference

`#include <Optimizer>`

Inheritance diagram for osgUtil::Optimizer::TextureAtlasBuilder::Source:

## Public Member Functions

| Source ()
| Source (const osg::Image *image)
| Source (const osg::Texture2D *texture)
bool | suitableForAtlas (int maximumAtlasWidth, int maximumAtlasHeight, int margin)
osg::Matrix | computeTextureMatrix () const
Public Member Functions inherited from osg::Referenced
| Referenced ()
| Referenced (bool threadSafeRefUnref)
| Referenced (const Referenced &)
Referenced & | operator= (const Referenced &)
virtual void | setThreadSafeRefUnref (bool)
bool | getThreadSafeRefUnref () const
OpenThreads::Mutex * | getRefMutex () const
int | ref () const
int | unref () const
int | unref_nodelete () const
int | referenceCount () const
ObserverSet * | getObserverSet () const
ObserverSet * | getOrCreateObserverSet () const
void | addObserver (Observer *observer) const
void | removeObserver (Observer *observer) const

## Public Attributes

int | _x
int | _y
Atlas * | _atlas
osg::ref_ptr< const osg::Image > | _image
osg::ref_ptr< const osg::Texture2D > | _texture

## Protected Member Functions

virtual | ~Source ()
Protected Member Functions inherited from osg::Referenced
virtual | ~Referenced ()
void | signalObserversAndDelete (bool signalDelete, bool doDelete) const
void | deleteUsingDeleteHandler () const

## Additional Inherited Members

Static Public Member Functions inherited from osg::Referenced
static OpenThreads::Mutex * | getGlobalReferencedMutex ()
static void | setDeleteHandler (DeleteHandler *handler)
static DeleteHandler * | getDeleteHandler ()
Protected Attributes inherited from osg::Referenced
OpenThreads::AtomicPtr | _observerSet
OpenThreads::Atomic | _refCount

## Constructor & Destructor Documentation

## Source() [1/3]

osgUtil::Optimizer::TextureAtlasBuilder::Source::Source | ( |  | ) |

inline

References _atlas, _x, and _y.

## Source() [2/3]

osgUtil::Optimizer::TextureAtlasBuilder::Source::Source | ( | const osg::Image * | image | ) |

inline

References _atlas, _image, _x, and _y.

## Source() [3/3]

osgUtil::Optimizer::TextureAtlasBuilder::Source::Source | ( | const osg::Texture2D * | texture | ) |

inline

References _atlas, _image, _texture, _x, _y, and osg::Texture2D::getImage().

## ~Source()

virtual osgUtil::Optimizer::TextureAtlasBuilder::Source::~Source | ( |  | ) |

inline protected virtual

## Member Function Documentation

## computeTextureMatrix()

osg::Matrix osgUtil::Optimizer::TextureAtlasBuilder::Source::computeTextureMatrix | ( |  | ) | const

## suitableForAtlas()

bool osgUtil::Optimizer::TextureAtlasBuilder::Source::suitableForAtlas | ( | int | maximumAtlasWidth,
|  | int | maximumAtlasHeight,
|  | int | margin )

## Member Data Documentation

## _atlas

Atlas* osgUtil::Optimizer::TextureAtlasBuilder::Source::_atlas

Referenced by Source(), Source(), and Source().

## _image

osg::ref_ptr<const osg::Image> osgUtil::Optimizer::TextureAtlasBuilder::Source::_image

Referenced by Source(), and Source().

## _texture

osg::ref_ptr<const osg::Texture2D> osgUtil::Optimizer::TextureAtlasBuilder::Source::_texture

Referenced by Source().

## _x

int osgUtil::Optimizer::TextureAtlasBuilder::Source::_x

Referenced by Source(), Source(), and Source().

## _y

int osgUtil::Optimizer::TextureAtlasBuilder::Source::_y

Referenced by Source(), Source(), and Source().

The documentation for this class was generated from the following file:

- Optimizer